﻿@model IEnumerable<WikiModel.Model.Attachment>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_GlobalLayout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Document.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AttName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AttPath)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AttSize)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AttType)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Date_Register)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Document.DisplayTitle)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AttName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AttPath)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AttSize)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AttType)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Date_Register)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID })
        </td>
    </tr>
}

</table>
